AfterDawn: Software downloads

Versie historie van Gpg4win

<<Terug naar software beschrijving

Veranderingen voor v2.3.3 - v2.3.4

  • The cryptography library libgcrypt has been updated to version 1.7.8 to include a fix for a side channel attack. [CVE-2017-7526] Details: https://lists.gnupg.org/pipermail/gnupg-announce/2017q2/000408.html
  • Support libraries have been updated.
  • GPA was updated to 0.9.10. This includes a fix for file handling with filenames containing special characters.
  • GnuPG: 2.0.30
  • Kleopatra: 2.2.0-gitfb4ae3d
  • GPA: 0.9.10
  • GpgOL: 1.4.0
  • GpgEX: 1.0.4
  • Kompendium DE: 3.0.0
  • Kompendium : 3.0.0



Veranderingen voor v2.3.2 - v2.3.3

  • The cryptography library libgcrypt has been updated to version 1.6.6 to include a fix a problem with the random number generator. [CVE-2016-6313] Details: https://lists.gnupg.org/pipermail/gnupg-announce/2016q3/000395.html
  • GnuPG: 2.0.30
  • Kleopatra: 2.2.0-gitfb4ae3d
  • GPA: 0.9.9
  • GpgOL: 1.4.0
  • GpgEX: 1.0.4
  • Kompendium DE: 3.0.0
  • Kompendium : 3.0.0



Veranderingen voor v2.3.1 - v2.3.2

  • When S/MIME is disabled in GpgOL it now also ignores sent mails.
  • Problems causing the start of Kleopatra and GPA from GpgEX and GpgOL have been fixed.
  • Various regressions in 2.3.1 are now again fixed.
  • GnuPG: 2.0.30
  • Kleopatra: 2.2.0-gitfb4ae3d
  • GPA: 0.9.9
  • GpgOL: 1.4.0
  • GpgEX: 1.0.4
  • Kompendium DE: 3.0.0
  • Kompendium : 3.0.0



Veranderingen voor v2.3.0 - v2.3.1

  • - GpgOL now has an option dialog where S/MIME can be disabled.
  • - GpgOL now supports the 64 Bit version of Microsoft Outlook.
  • - GpgOL can be switched to the new, experimental, MIME aware behavior in the
  • Options Dialog.
  • - GpgOL now reverts temporary changes made to MIME mails. So that they an be
  • opened with other clients again.
  • - GpgEX no longer blocks the Windows Explorer while it starts GPA or
  • Kleopatra.
  • - Included Gpg4win components are:
  • GnuPG: 2.0.30
  • Kleopatra: 2.2.0-gitfb4ae3d
  • GPA: 0.9.9
  • GpgOL: 1.4.0
  • GpgEX: 1.0.4
  • Kompendium DE: 3.0.0
  • Kompendium EN: 3.0.0



Veranderingen voor v2.2.6 - v2.3.0

  • - GpgOL now supports reading PGP/MIME and S/MIME mails, the standard
  • format for Crypto Mails as sent by Thunderbird/Enigmail, GPGMail
  • or KMail. For details see: https://wiki.gnupg.org/GpgOL/MIMESupport
  • - GpgOL now supports Outlook 2016.
  • - AES-NI Instructions for faster encryption and decryption with AES
  • are now supported. (GnuPG Bug #1919)
  • - The decrypt/verify window of GpgOL no longer moves and resizes
  • erratically. (KDE Bug #355140)
  • - Bulk import of more then a hundred keys no longer fails when Kleopatra
  • is running. (GnuPG Bug #2135)
  • - French and Chinese localisation has been added to the installer,
  • GpgEX and GpgOL. Thanks to Oliver Serve and Mingye Wang.
  • - Several apparently random crashes in GpgOL have been fixed
  • (GnuPG Bug #1837)
  • - GpgOL now handles attachments in PGP/MIME and S/MIME mails with non ASCII
  • characters in the filename correctly.
  • - A vulnerability in the Gpg4win-installer has been fixed.



Veranderingen voor v2.2.5 - v2.2.6

  • GnuPG 2.0.28
  • Kleopatra 2.2.0-gita3c9200
  • GPA 0.9.7
  • GpgOL 1.2.1
  • GpgEX 1.0.2
  • Kompendium (de) 3.0.0
  • Compendium (en) 3.0.0



Veranderingen voor v2.2.4 - v2.2.5

  • GnuPG has been updated to version 2.0.28. See release notes on www.gnupg.org for details.
  • A potential crash during certificate search has been fixed.
  • Kleopatra no longer queries revocation information for X509 certificates during startup. This will drastically improve the startup time for some users. Revocation information is still checked once a certificate is used.
  • Kleopatra now uses the same defaults as GnuPG for new OpenPGP certificates.
  • Third party libraries included in Gpg4win have been updated.
  • GnuPG: 2.0.28
  • Kleopatra: 2.2.0-gita3c9200
  • GPA: 0.9.7
  • GpgOL: 1.2.1
  • GpgEX: 1.0.2
  • Claws-Mail: 3.9.1
  • Kompendium DE: 3.0.0
  • Kompendium : 3.0.0



Veranderingen voor v2.2.3 - v2.2.4

  • GnuPG has been updated to version 2.0.27. See release notes on www.gnupg.org for details.
  • Libgcrypt has been updated to version 1.6.3 (includes fix for CVE-2014-3591)
  • An issue has been fixed which could cause extracted files from TAR Archives to be truncated.
  • GnuPG: 2.0.27
  • Kleopatra: 2.2.0-git945878c
  • GPA: 0.9.7
  • GpgOL: 1.2.1
  • GpgEX: 1.0.1
  • Claws-Mail: 3.9.1
  • Kompendium DE: 3.0.0
  • Kompendium : 3.0.0



Veranderingen voor v2.2.2 - v2.2.3

  • The vanilla installer has been fixed by including GnuTLS.
  • Creation of portable versions with mkportable has been fixed.
  • GPA now works again under Windows XP.
  • Verification of a detached signature without specifying what should be verified may now show a warning and has been disabled in batch mode.
  • Tar archives can now include files and folders that use special characters (e.g. umlauts) which can be encoded in the native Windows 8-Bit codepage.
  • Kleopatra now handles preprocessing (e.g. archiving) errors and safely aborts the operation.
  • GPA has been updated to version 0.9.6.
  • A security problem in the libksba library has been fixed.



Veranderingen voor v2.2.1 - v2.2.2

  • - GnuPG:
  • * GnuPG was updated to version 2.0.26.
  • (See www.gnupg.org for more details.)
  • * Command line wildcards (like *.txt) work again.
  • * Command line output is encoded to the Windows console encoding.
  • - Kleopatra:
  • * Screen reader support and accessibility improved.
  • * A library load problem has been fixed that could keep Kleopatra
  • from starting on some systems.
  • * Kleopatra has been updated to KDE Sofware Collection 4.14.
  • - GpgEx:
  • * GpgEX no longer crashes if the environment variable GNUPGHOME is set.
  • - GpgOL:
  • * Problems with Outlook sender and recipient address lookup have been
  • fixed in GpgOL. Especially for Microsoft Exchange addresses.
  • - Pinentry-qt:
  • * Warning and confirmation dialogs should now open always in foreground.
  • * The pinentry dialog is now translated correctly in the French locale.
  • - General:
  • * Used libraries have been updated.
  • 3. Known Bugs (and Workarounds)
  • ===============================
  • - Using smart cards with Kleopatra:
  • * OpenPGP card
  • The initial setting of a smart card with Kleopatra is not yet
  • possible. Please run the following steps once to use your smart
  • card with Kleopatra.
  • Use the gpg command line tool to create a new OpenPGP certificate
  • on your card (a) or to activate your existing certificate of
  • your card (b):
  • (a) Create new certificate
  • - Insert card.
  • - Run "gpg --card-edit".
  • - Switch to admin modus by enter: "admin".
  • - Enter "generate" to create a new certificate.
  • (b) Activate existing certificate of your card
  • - Import associated (public) certificate of your card (e.g.
  • from certificate server or from a exported certificate file).
  • - Insert card.
  • - Run "gpg --card-status".
  • * X.509 Telesec Netkey 3 card
  • Use Kleopatra to initialize your card:
  • - Insert card.
  • - Click on the flashing Kleopatra system tray icon (or use the
  • context menu "smart card" of the system tray icon and run the
  • "learn card" command directly).
  • After finishing these steps your OpenPGP / X.509 certificate from your
  • smart card is shown in Kleopatra under the tab "My certificates"
  • (marked with a smart card icon).
  • - Using the Outlook Plugin "GpgOL":
  • * You defintely should create copies of your old encrypted/signed
  • emails before installing GpgOL, e.g. in the form of PST files.
  • * For Outlook 2003/2007 only:
  • Sending signed or encrypted messages via an Exchange based account
  • does not yet work.
  • [see https://bugs.g10code.com/gnupg/issue1102]
  • (Please note, using SMTP with GpgOL and Exchange seems to be work.
  • Or use GpgOL with Outlook 2010/2013.)
  • * For Outlook 2003/2007 only:
  • Encrypted E-Mails occuring un-encrypted on the email server: It
  • can happen that parts of encrypted emails are copied to your email
  • server (IMAP or MAPI) in un-encrypted/decrypted form when creating
  • or viewing them. Affected is the content of the email view
  • window, thus usually the so-called email body. Attachments are
  • not affected. Switching off the Outlook preview will lower the
  • probability of this to happen, but not eliminate the issue.
  • Or use GpgOL with Outlook 2010/2013.



Veranderingen voor v2.2.1 - v2.2.2 beta

  • Included Gpg4win components in Version 2.2.2-beta37 are:
  • GnuPG: 2.0.26
  • Kleopatra: 2.2.0-gitac229d2
  • GPA: 0.9.4
  • GpgOL: 1.2.1
  • GpgEX: 1.0.1
  • Claws-Mail: 3.9.1
  • Kompendium DE: 3.0.0
  • Kompendium EN: 3.0.0
  • New in Gpg4win Version 2.2.2-beta37 (2014-08-14)
  • -------------------------------------------------
  • - GnuPG:
  • * GnuPG wurde auf Version 2.0.26 aktualisiert. Details zu dieser
  • Version finden sich unter www.gnupg.org
  • - Kleopatra:
  • * A library load problem has been fixed that could keep Kleopatra
  • from starting on some systems.
  • * Kleopatra has been updated to KDE Sofware Colleciton Version 4.14.
  • - GpgEx:
  • * GpgEX no longer crashes if the environment variable GNUPGHOME is set.
  • - GpgOL:
  • * Problems with Outlook sender / recipient address lookup have been
  • fixed in GpgOL. Especially for Microsoft Exchange addresses.
  • - Pinentry-qt:
  • * Warnings and confirmation dialogs should now open in the
  • foreground.
  • - General:
  • * Used libraries have been updated.
  • 3. Known Bugs (and Workarounds)
  • ===============================
  • - Using smart cards with Kleopatra:
  • * OpenPGP card
  • The initial setting of a smart card with Kleopatra is not yet
  • possible. Please run the following steps once to use your smart
  • card with Kleopatra.
  • Use the gpg command line tool to create a new OpenPGP certificate
  • on your card (a) or to activate your existing certificate of
  • your card (b):
  • (a) Create new certificate
  • - Insert card.
  • - Run "gpg --card-edit".
  • - Switch to admin modus by enter: "admin".
  • - Enter "generate" to create a new certificate.
  • (b) Activate existing certificate of your card
  • - Import associated (public) certificate of your card (e.g.
  • from certificate server or from a exported certificate file).
  • - Insert card.
  • - Run "gpg --card-status".
  • * X.509 Telesec Netkey 3 card
  • Use Kleopatra to initialize your card:
  • - Insert card.
  • - Click on the flashing Kleopatra system tray icon (or use the
  • context menu "smart card" of the system tray icon and run the
  • "learn card" command directly).
  • After finishing these steps your OpenPGP / X.509 certificate from your
  • smart card is shown in Kleopatra under the tab "My certificates"
  • (marked with a smart card icon).
  • - Using the Outlook Plugin "GpgOL":
  • * You defintely should create copies of your old encrypted/signed
  • emails before installing GpgOL, e.g. in the form of PST files.
  • * For Outlook 2003/2007 only:
  • Sending signed or encrypted messages via an Exchange based account
  • does not yet work.
  • [see https://bugs.g10code.com/gnupg/issue1102]
  • (Please note, using SMTP with GpgOL and Exchange seems to be work.
  • Or use GpgOL with Outlook 2010/2013.)
  • * For Outlook 2003/2007 only:
  • Encrypted E-Mails occuring un-encrypted on the email server: It
  • can happen that parts of encrypted emails are copied to your email
  • server (IMAP or MAPI) in un-encrypted/decrypted form when creating
  • or viewing them. Affected is the content of the email view
  • window, thus usually the so-called email body. Attachments are
  • not affected. Switching off the Outlook preview will lower the
  • probability of this to happen, but not eliminate the issue.
  • Or use GpgOL with Outlook 2010/2013.



<<Terug naar software beschrijving